import React from 'react';
import { Wrapper, MenuItem, MainWrapper } from './bubbles.styles';

const Bubbles = ({
  sections
}) => {
  return /*#__PURE__*/React.createElement(Wrapper, null, /*#__PURE__*/React.createElement("div", null, sections.map(({
    label,
    img
  }, i) => /*#__PURE__*/React.createElement(MenuItem, {
    key: i
  }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("img", {
    src: img,
    alt: label
  }))))), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(MainWrapper, null, "main content")));
};

export default Bubbles;