import React from 'react';
import { Templates } from './toolkit';
import dataImages from './config/dataImages';

const Threekit = ({
  threekitConfig,
  getHandleInputSelect,
  getHandleAddToCart,
  templateData,
  images
}) => {
  dataImages.images = images;
  console.log('Threekit threekitConfig =>', threekitConfig);
  return /*#__PURE__*/React.createElement(Templates, {
    template: templateData,
    getHandleAddToCart: getHandleAddToCart,
    getHandleInputSelect: getHandleInputSelect,
    threekitConfig: threekitConfig
  });
};

export default Threekit;