import React from 'react';
import { Tooltip } from 'antd';
import { ExclamationCircleOutlined } from '@ant-design/icons';

const Errortip = ({
  title
}) => {
  return /*#__PURE__*/React.createElement(Tooltip, {
    placement: 'top',
    title: title
  }, /*#__PURE__*/React.createElement(ExclamationCircleOutlined, {
    style: {
      color: '#eb2f96',
      fontSize: '14px'
    }
  }));
};

export default Errortip;