import React, { ReactNode } from 'react';
import { Tooltip } from 'antd';
import { InfoCircleOutlined } from '@ant-design/icons';

const Infotip = ({
  title
}) => {
  return /*#__PURE__*/React.createElement(Tooltip, {
    placement: 'top',
    title: title
  }, /*#__PURE__*/React.createElement(InfoCircleOutlined, {
    style: {
      color: '#1890ff',
      fontSize: '14px'
    }
  }));
};

export default Infotip;