import React from 'react';
import { Wrapper } from './numberInput.styles';
import { InputNumber } from 'antd';

const NumberInput = ({
  label,
  value,
  price,
  showTotal,
  min,
  max,
  onChange
}) => {
  return /*#__PURE__*/React.createElement(Wrapper, null, /*#__PURE__*/React.createElement("div", null, label), /*#__PURE__*/React.createElement("div", null, price && `$${price}${showTotal ? ` x ` : ''}`), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(InputNumber, {
    defaultValue: value,
    value: value,
    onChange: onChange
  })), /*#__PURE__*/React.createElement("div", null, "$", value));
};

export default NumberInput;