import React from 'react';
import { Wrapper } from './textInput.styles';
import { Input } from 'antd';

const TextInput = ({
  placeholder,
  value,
  onChange
}) => {
  return /*#__PURE__*/React.createElement(Wrapper, null, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(Input, {
    placeholder: placeholder,
    defaultValue: value,
    value: value,
    onChange: e => onChange(e.target.value.toUpperCase())
  })));
};

export default TextInput;